# if we want to build the static version with klibc or not
# 0 - build with glibc
# 1 - build with klibc
%define klibc 0

# if we want to build the volume_id "extra" package or not
# 0 - do not build the package
# 1 - build it
%define volume_id 1

# if we want to build the scsi_id "extra" package or not
# 0 - do not build the package
# 1 - build it
%define scsi_id 1

%define chassis_id 0

# if we want to build pam_console support
# 0 - do not build the package
# 1 - build it
%define pam_console 1

%define udev_kernel_includes 2.6.6

%define debug false

Summary: A userspace implementation of devfs
Name: udev
Version: 039
Release: 10.15.EL4
License: GPL
Group: System Environment/Base
Provides: udev-persistent = 0:%{version}-%{release}
Obsoletes: udev-persistent < 0:030-5
Source: ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/%{name}-%{version}.tar.gz
Source1: udev.rules
Source2: udev.permissions
Source3: udev.conf
Source4: pam_console.dev
Source5: MAKEDEV.dev

Source10: pam_console_setowner-1.5.tgz

Source11: ata_identify.c
Source12: ata_identify-Makefile

Source15: path_id
Source16: 51-by-id.rules
Source17: check-cdrom.sh
Source18: ide-media.sh

Source20: start_udev
Source21: udev.html

Source30: dasd_id.c
Source31: dasd_id.8
Source32: Makefile.dasd_id

%if %{klibc}
Source30: include-linux-%{udev_kernel_includes}.tar.bz2
%endif

Patch1: udev-039-static.patch
Patch2: udev-025-volsbin.patch
Patch3: udev-039-wait-error-log.patch
Patch4: udev-039-logging.patch
Patch5: udev-039-wait-ppp-class.patch
Patch6: udev-039-wait-dm-block.patch
Patch7: udev-039-static2.patch
Patch8: udev-039-netif.patch
Patch9: udev-039-dummy.patch
Patch10: udev-039-volume_id-nonblock.patch
Patch11: udev-039-norm.patch

Patch22: udev-032-symlink.patch
Patch24: udev-038-volmak.patch

Patch25: udev-039-wait.patch
Patch26: udev-039-sig.patch
Patch27: udev-039-media.patch

Patch28: udev-039-noinfo.patch
Patch29: udev-039-makeextras.patch

%if %{klibc}
Patch30: include-linux-2.6.6-fdset.patch
Patch31: include-linux-2.6.6-ia64-page.patch
Patch32: include-linux-2.6.6-ia64-break.patch
Patch33: include-linux-2.6.6-s390-bitops.patch

Patch40: udev-025-klibc-strnlen.patch
Patch41: udev-029-lseek64.patch
Patch42: klibc-0.115-ia64.patch
Patch43: klibc-0.148.ia64.patch
Patch44: klibc-0.148-getpagesize.patch
%endif

Patch50: udev-039-scsi_id-tmp_dir.patch
Patch51: scsi_id-vpd.diff
Patch52: udev-039-dircheck.patch

Patch100: udev-039-nostrip.patch

ExclusiveOS: Linux
URL: http://kernel.org/pub/linux/utils/kernel/hotplug/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prereq: /bin/sh fileutils hotplug
Prereq: MAKEDEV >= 0:3.11, lvm2
BuildRequires: 	sed 
BuildRequires: 	libselinux-devel >= 0:1.17.9-2 
BuildRequires: 	flex
Requires: 	libselinux >= 0:1.17.9-2 
Requires: 	MAKEDEV
Conflicts: 	kernel < 0:2.6 
Conflicts: 	mkinitrd <= 0:4.1.11-1 
Conflicts: 	initscripts < 7.84 
Obsoletes: 	dev
Provides: 	dev = 0:3.12-1

%if %{pam_console}
BuildRequires: pam-devel glib2-devel bison
Requires: pam
Patch60: pam_console_setowner-1.5-glib.patch
%endif

%description
udev is a implementation of devfs in userspace using sysfs and
/sbin/hotplug. It requires a 2.6 kernel to run properly.

%define add %{nil}

%prep
%if %{pam_console}
%define pamadd -a 10
%endif
%if %{klibc}
%define klibcadd -a 30
%endif
%setup -q %{pamadd} %{klibcadd}

%patch1 -p1 -b .glibcstatic
%patch3 -p1 -b .waiterrorlog
%patch4 -p1 -b .closelog
%patch5 -p1 -b .waitppp
%patch6 -p1 -b .waitdm
%patch7 -p1 -b .udevstatic
%patch8 -p1 -b .netif
%patch9 -p1 -b .dummy
%patch10 -p1 -b .nonblock
%patch11 -p1 -b .norm

%patch22 -p1 -b .symlink
touch etc/init.d/udev.debian
%patch24 -p1 -b .volmak
%patch25 -p1 -b .wait
%patch26 -p1 -b .sig
%patch27 -p1 -b .media
%patch28 -p1 -b .noinfo
%patch29 -p1 -b .makeextras

cp %{SOURCE21} .
mkdir -p extras/dasd_id
cp %{SOURCE30} %{SOURCE31} extras/dasd_id
cp %{SOURCE32} extras/dasd_id/Makefile

%if %{klibc}
mkdir -p klibc/klibc/linux
mv include-linux-%{udev_kernel_includes} klibc/klibc/linux/include
pushd klibc/klibc/linux/include
for i in `find -type f`;do grep -Eq 'linux/(autoconf|config).h' $i || continue ; sed '/linux\/autoconf.h/d;/linux\/config.h/d' < $i > $i. ; mv $i. $i ; done
ln -sv asm-`uname -m |
sed -e s/i.86/i386/ \
-e s/sun4u/sparc64/ \
-e s/arm.*/arm/ \
-e s/sa110/arm/ \
-e s/s390x/s390/ \
-e s/parisc64/parisc/` asm
popd

%patch30 -p1 -b .fdset
%patch31 -p1 -b .page
%patch32 -p1 -b .break
%patch33 -p1 -b .bitops

pushd klibc
%patch40 -p2 -b .strnlen
%patch41 -p2 -b .lseek64
%patch42 -p1 -b .p40
%patch43 -p1 -b .p41
#%patch44 -p1 -b .p42
popd
%endif

%patch50 -p1 -b .scsi_id-tmp_dir
%patch51 -p1 -b .scsi_id-vpd 
%patch52 -p1 -b .dircheck

%if %{pam_console}
%patch60 -p1 -b .glib
%endif

%patch100 -p1 -b .nostrip

%build

# Do not USE_LOG in udev.static, cause it causes segfaults on openlog (bug 136005)
%if %{klibc}
make CC="gcc $RPM_OPT_FLAGS -D__user=''"  KERNEL_DIR="$PWD/klibc/klibc/linux" \
        USE_KLIBC=true \
        USE_SELINUX=false \
%else
make CC="gcc $RPM_OPT_FLAGS -DUDEV_STATIC" LD="gcc $RPM_OPT_FLAGS -static" \
        USE_KLIBC=false \
        USE_SELINUX=true \
%endif
	udevdir="/dev" \
	USE_LOG=false DEBUG=%{debug} \
	EXTRAS=" \
%if %{scsi_id}
	extras/scsi_id \
%endif
%ifarch s390 s390x
	extras/dasd_id \
%endif
	" udev extras

mv udev udev.static
mv extras/scsi_id/scsi_id extras/scsi_id/scsi_id.static
%ifarch s390 s390x
mv extras/dasd_id/dasd_id extras/dasd_id/dasd_id.static
%endif
make clean

make CC="gcc $RPM_OPT_FLAGS" \
        USE_KLIBC=false \
	USE_SELINUX=true \
	udevdir="/dev" \
	USE_LOG=true		\
	DEBUG=%{debug}		\
	EXTRAS="	\
%if %{scsi_id}
        extras/scsi_id  \
%endif
%if %{volume_id}
        extras/volume_id  \
%endif
%if %{chassis_id}
        extras/chassis_id  \
%endif
%ifarch s390 s390x
	extras/dasd_id \
%endif
	"

%if %{pam_console}
	pushd pam_console_setowner
	make LIBDIR=%{_libdir}
	popd
%endif


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sbindir}

make DESTDIR=$RPM_BUILD_ROOT \
	EXTRAS="	\
%if %{scsi_id}
	extras/scsi_id	\
%endif
%if %{volume_id}
        extras/volume_id  \
%endif
%if %{chassis_id}
	extras/chassis_id \
%endif
%ifarch s390 s390x
	extras/dasd_id \
%endif
	" install

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/udev/udev.rules
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/udev/udev.permissions
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/init.d/udev

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/{rules.d,permissions.d,scripts,devices}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dev.d/{default,block}

install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/50-udev.rules
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/udev/permissions.d/50-udev.permissions

install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/udev/udev.conf

mv $RPM_BUILD_ROOT%{_sysconfdir}/dev.d/net/hotplug.dev $RPM_BUILD_ROOT%{_sysconfdir}/udev/scripts/
ln -s ../../udev/scripts/hotplug.dev $RPM_BUILD_ROOT%{_sysconfdir}/dev.d/net/
# obsoleted by selinux patch
#install -m 0755 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/dev.d/default
install -m 0755 udev.static $RPM_BUILD_ROOT/sbin/udev.static
install -m 0755 extras/scsi_id/scsi_id.static $RPM_BUILD_ROOT/sbin/scsi_id.static
ln -s udev.static $RPM_BUILD_ROOT/sbin/udevstart.static

install -m 0755 %{SOURCE15} $RPM_BUILD_ROOT/sbin
install -m 0644 %{SOURCE16} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/51-by-id.rules

%if %{pam_console}
install -m 0755 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/udev/scripts/
ln -s ../../udev/scripts/pam_console.dev $RPM_BUILD_ROOT%{_sysconfdir}/dev.d/default/05-pam_console.dev
install -m 0755 pam_console_setowner/pam_console_setowner $RPM_BUILD_ROOT/sbin
%endif

install -m 0755 %{SOURCE17} $RPM_BUILD_ROOT%{_sysconfdir}/udev/scripts/
install -m 0755 %{SOURCE18} $RPM_BUILD_ROOT%{_sysconfdir}/udev/scripts/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/udev
install -m 0644 %{SOURCE20} $RPM_BUILD_ROOT/sbin/start_udev

# floppy madness
for i in 0 1 2 3;do 
	mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dev.d/fd$i
	ln -s ../../udev/scripts/MAKEDEV.dev $RPM_BUILD_ROOT%{_sysconfdir}/dev.d/fd$i/10-MAKEDEV.dev
done
install -m 0755 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/udev/scripts/

mv $RPM_BUILD_ROOT/usr/sbin/udev_volume_id $RPM_BUILD_ROOT/sbin

%preun
if [ $1 = 0 -a -f %{_initrddir}/udev ]; then
	/sbin/chkconfig --del udev
fi
exit 0

%post
if [ "$1" -ge "1" -a  -x /sbin/pidof ]; then
	pid=`/sbin/pidof -x udevd`
	[ -n "$pid" ] && kill $pid
	/sbin/udevstart >/dev/null 2>&1
fi
exit 0

%triggerpostun -- dev <= 0:3.12-1
if [ $2 = 0 ]; then
	if [ -x /sbin/MAKEDEV ]; then 
		/sbin/MAKEDEV null
	else
		/bin/mknod /dev/null c 1 3
	fi
	/sbin/start_udev >/dev/null 2>&1
	if [ -e /dev/mapper/control -a -x /sbin/lvm ]; then
		/sbin/lvm vgmknodes >/dev/null 2>&1
	fi
fi
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README TODO ChangeLog HOWTO*  docs/* udev.html
%doc etc/udev/udev.rules.{examples,redhat}
%doc etc/udev/udev.permissions.redhat

%attr(0755,root,root) /sbin/udev
%attr(0755,root,root) /sbin/udev.static
%attr(0755,root,root) /sbin/udevsend
%attr(0755,root,root) /sbin/udevd
%attr(0755,root,root) /sbin/udevstart
%attr(0755,root,root) /sbin/udevstart.static
%attr(0755,root,root) /sbin/start_udev
%attr(0755,root,root) /sbin/wait_for_sysfs
%attr(0755,root,root) %{_bindir}/udevtest
%attr(0755,root,root) %{_bindir}/udevinfo

%attr(0755,root,root) %dir %{_sysconfdir}/udev/
%attr(0755,root,root) %dir %{_sysconfdir}/udev/rules.d/
%attr(0755,root,root) %dir %{_sysconfdir}/udev/permissions.d/
%attr(0755,root,root) %dir %{_sysconfdir}/udev/scripts/
%attr(0755,root,root) %dir %{_sysconfdir}/udev/devices/


%if %{pam_console}
%attr(0755,root,root) /sbin/pam_console_setowner
%attr(0755,root,root) %{_sysconfdir}/udev/scripts/pam_console.dev
%config(missingok) %{_sysconfdir}/dev.d/default/05-pam_console.dev
%endif

%config(missingok) %{_sysconfdir}/dev.d/net/hotplug.dev

# floppy madness
%attr(0755,root,root) %dir %{_sysconfdir}/dev.d/
%attr(0755,root,root) %dir %{_sysconfdir}/dev.d/fd0
%attr(0755,root,root) %dir %{_sysconfdir}/dev.d/fd1
%attr(0755,root,root) %dir %{_sysconfdir}/dev.d/fd2
%attr(0755,root,root) %dir %{_sysconfdir}/dev.d/fd3
%config(missingok) %{_sysconfdir}/dev.d/fd?/*
%attr(0755,root,root) %{_sysconfdir}/udev/scripts/MAKEDEV.dev

%attr(0755,root,root) %{_sysconfdir}/udev/scripts/hotplug.dev
%attr(0755,root,root) %{_sysconfdir}/udev/scripts/check-cdrom.sh
%attr(0755,root,root) %{_sysconfdir}/udev/scripts/ide-media.sh

%config %attr(0644,root,root) %{_sysconfdir}/udev/udev.conf
%config %attr(0644,root,root) %{_sysconfdir}/udev/rules.d/50-udev.rules
%config %attr(0644,root,root) %{_sysconfdir}/udev/rules.d/51-by-id.rules
%config %attr(0644,root,root) %{_sysconfdir}/udev/permissions.d/50-udev.permissions


%config(missingok) %{_sysconfdir}/hotplug.d/default/05-wait_for_sysfs.hotplug
%config(missingok) %{_sysconfdir}/hotplug.d/default/10-udev.hotplug

%attr(0644,root,root) %{_mandir}/man8/udev*.8*


%attr(0755,root,root) /sbin/path_id
%ifarch s390 s390x
%attr(0755,root,root) /sbin/dasd_id
%attr(0644,root,root) %{_mandir}/man8/dasd_id*.8*
%endif

%if %{scsi_id}
	%attr(0755,root,root) /sbin/scsi_id
	%attr(0755,root,root) /sbin/scsi_id.static
	%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/scsi_id.config
	%attr(0644,root,root) %{_mandir}/man8/scsi_id*.8*
%endif
%if %{volume_id}
        %attr(755,root,root) /sbin/udev_volume_id
%endif
%if %{chassis_id}
        %attr(755,root,root) /sbin/chassis_id
%endif


%changelog
* Mon May 22 2006 Harald Hoyer <harald@redhat.com> - 039-10.15.EL4
- refined path_id and set capi group permissions to uucp

* Tue Apr 18 2006 Harald Hoyer <harald@redhat.com> - 039-10.14.EL4
- added path_id with scheme from newer udev versions and rules 
  for /dev/disk/* (bug #183672)

* Wed Apr 12 2006 Harald Hoyer <harald@redhat.com> - 039-10.13.EL4
- patch to fix segfaults, while scanning sysfs (bug #187877)
- changed /dev/cpu/0/cpu -> /dev/cpu/0/cpuid (bug #155491 #186153)
- added CAPI device nodes (bug #167291)

* Wed Feb 15 2006 Harald Hoyer <harald@redhat.com> - 039-10.12.EL4.2
- removed stripping and added -g to produce debuginfo information

* Tue Dec 20 2005 Harald Hoyer <harald@redhat.com> - 039-10.12.EL4
- merged in changes from 039-10.10.EL4.2
- added infiniband devices
- fixed glib dependency

* Mon Dec 12 2005 Harald Hoyer <harald@redhat.com> - 039-10.10.EL4.2
- run /sbin/udevstart in post

* Tue Dec 06 2005 Harald Hoyer <harald@redhat.com> - 039-10.10.EL4.1
- fixed wrong permissions for /dev/input/*

* Mon Jul 25 2005 Peter Jones <pjones@redhat.com> - 0.39-10.11.EL4
- add support for older VPD page 83 data in scsi_id so EMC devices work.

* Wed May 11 2005 Harald Hoyer <harald@redhat.com> - 039-10.10.EL4
- merged in changes from Fujitsu
- enabled with_persistent

* Thu Apr 19 2005 Harald Hoyer <harald@redhat.com> - 039-10.9.EL4
- changed msr and cpu entries in udev.rules (bug #145619)

* Thu Apr 07 2005 Harald Hoyer <harald@redhat.com> - 039-10.9.EL4
- added scsi_id.static (bug #153130)

* Fri Mar 11 2005 MUNEDA Takahiro <muneda.takahiro@jp.fujitsu.com> - 039-10.8.EL4
- turn on with_persistent flag in udev.spec
- fixed USB and SCSI sysfs files path and sed script in
  udev.get-unique_hardware_path.sh
- change mknod target directory for scsi_id, because /tmp is
  mounted read-only

* Fri Dec 03 2004 Harald Hoyer <harald@redhat.com> - 039-10.8.EL4
- added all partitions to ide floppy devs (bug 139939)
- removed wait_for_sysfs info messages, which made users nervous

* Mon Nov 29 2004 Harald Hoyer <harald@redhat.com> - 039-10.7.EL4
- MAKEDEV md devices in start_udev (bug 134264)

* Tue Nov 23 2004 Harald Hoyer <harald@redhat.com> - 039-10.7.EL4
- added two rules, which create two additional symlinks 
  for s390 dasds (bug 131705)

* Mon Nov 22 2004 Jeremy Katz <katzj@redhat.com> - 039-10.6.EL4
- requiring lvm2 works better (and mkinitrd already did, so this doesn't
  add real requirements to the distro) (#138784)

* Mon Nov 22 2004 Harald Hoyer <harald@redhat.com> - 039-10.5.EL4
- added Conflicts with lvm < 2 (bug 138784)
- stopped opening of /etc/localtime a thousand times by setting
  TZ environment variable in start_udev (bug 140188)

* Fri Nov 19 2004 Jeremy Katz <katzj@redhat.com> - 039-10.4.EL4
- conflict with lvm 1.x so that lvm2 to try to fix #138784

* Fri Nov 19 2004 Harald Hoyer <harald@redhat.com> - 039-10.3.EL4
- fixed possible cause of bug 139989
- added missing '"' in udev.rules for floppy devices (bug 139939)

* Wed Nov 17 2004 Harald Hoyer <harald@redhat.com> - 039-10.2.EL4
- turn off debugging (bug 139714)

* Mon Nov 08 2004 Harald Hoyer <harald@redhat.com> - 039-10.1.EL4
- EL4 version
- merged all /dev/cpu/*/microcode to /dev/cpu/microcode (bug 63928)

* Thu Nov 04 2004 Harald Hoyer <harald@redhat.com> - 039-10
- speed improvement, scripts in rules are now executed only once,
  instead of four times

* Thu Nov 04 2004 Harald Hoyer <harald@redhat.com> - 039-9
- removed wrong SIG_IGN for SIGCHLD
- moved ide media check to script to wait for the procfs

* Wed Nov  3 2004 Jeremy Katz <katzj@redhat.com> - 039-8.FC3
- recreate lvm device nodes if needed in the trigger (#137807)

* Wed Nov 03 2004 Harald Hoyer <harald@redhat.com> - 039-6.FC3.2
- replace udev.conf by default
- LANG=C for fgrep in start_udev; turn grep into fgrep

* Tue Nov 02 2004 Harald Hoyer <harald@redhat.com> - 039-6.FC3.1
- speed up pam_console.dev
- mount pts and shm, in case of the dev trigger
- increased timeout for udevstart
- removed syslog() from signal handler (caused vmware locks)
- turned off logging, which speeds up the boot process

* Thu Oct 21 2004 Harald Hoyer <harald@redhat.com> - 039-6
- fixed typo

* Thu Oct 21 2004 Harald Hoyer <harald@redhat.com> - 039-5
- added udev-039-norm.patch, which prevents removal of hd* devices,
  because the kernel sends remove/add events, if an IDE removable device
  is close(2)ed. mke2fs, e.g. would fail in this case.

* Wed Oct 20 2004 Harald Hoyer <harald@redhat.com> - 039-4
- do not call dev.d scripts, if network interface hasn't changed 
  the name
- correct wait for dummy network devices
- removed NONBLOCK from volume-id
- do not log in udev.static, which should fix bug 136005 

* Mon Oct 18 2004 Harald Hoyer <harald@redhat.com> - 039-3
- refined wait_for_sysfs for udev.static

* Mon Oct 18 2004 Harald Hoyer <harald@redhat.com> - 039-2
- improved wait_for_sysfs for virtual consoles with Kay Siever's patch
- wait for ppp class
- wait for LVM dm- devices
- integrate wait_for_sys in udev.static for the initrd

* Mon Oct 18 2004 Harald Hoyer <harald@redhat.com> - 039-1
- version 039, fixes also manpage bug 135996 
- fixed glibc issue for static version (getgrnam, getpwnam) (bug 136005)
- close the syslog in every app

* Fri Oct 15 2004 Harald Hoyer <harald@redhat.com> - 038-2
- par[0-9] is now a symlink to lp
- MAKEDEV the parport devices
- now conflicts with older initscripts

* Thu Oct 14 2004 Harald Hoyer <harald@redhat.com> - 038-1
- raw device nodes are now created in directory raw
- version 038

* Wed Oct 13 2004 Harald Hoyer <harald@redhat.com> - 036-1
- better wait_for_sysfs warning messages

* Wed Oct 13 2004 Harald Hoyer <harald@redhat.com> - 035-2
- fixed double bug in start_udev (bug 135405)

* Tue Oct 12 2004 Harald Hoyer <harald@redhat.com> - 035-1
- version 035, which only improves wait_for_sysfs
- load ide modules in start_udev, until a hotplug script is available
  (bug 135260)

* Mon Oct 11 2004 Harald Hoyer <harald@redhat.com> - 034-3
- removed scary error messages from wait_for_sysfs
- symlink from nst? -> tape?
- kill udevd on update

* Fri Oct  8 2004 Harald Hoyer <harald@redhat.com> - 034-2
- check for /proc/sys/dev/cdrom/info existence in check-cdrom.sh

* Fri Oct  8 2004 Harald Hoyer <harald@redhat.com> - 034-1
- new version udev-034
- removed patches, which went upstream
- pam_console.dev link renamed to 05-pam_console.dev
- MAKEDEV.dev links renamed to 10-MAKEDEV.dev

* Thu Oct 07 2004 Harald Hoyer <harald@redhat.com> - 032-10
- added floppy madness (bug 134830)
- replay scsi events in start_udev for the devices on the adapter (bug 130746)

* Wed Oct 06 2004 Harald Hoyer <harald@redhat.com> - 032-9
- obsoleted $UDEV_LOG, use udev_log
- correct SYMLINK handling in pam_console.dev
- specfile cleanup
- added check-cdrom.sh for nice cdrom symlinks

* Mon Oct 04 2004 Harald Hoyer <harald@redhat.com> - 032-8
- added patches from Féliciano Matias for multiple symlinks (bug 134477 and 134478)
- corrected some permissions with a missing leading 0
- added z90crypt to the permissions file (bug 134448)
- corrected requires and conflicts tags
- removed /dev/log from MAKEDEV creation

* Fri Oct 01 2004 Harald Hoyer <harald@redhat.com> - 032-7
- more device nodes for those without initrd

* Thu Sep 30 2004 Harald Hoyer <harald@redhat.com> - 032-6
- prevent error message from device copying
- use already translated starting strings

* Wed Sep 29 2004 Harald Hoyer <harald@redhat.com> - 032-5
- add "fi" to start_udev
- do not create floppy devices manually (bug 133838)

* Tue Sep 28 2004 Harald Hoyer <harald@redhat.com> - 032-4
- made /etc/udev/devices/ for manual device nodes
- refined SELINUX check, if /dev is not yet mounted in start_dev

* Mon Sep 27 2004 Harald Hoyer <harald@redhat.com> - 032-3
- corrected permissions for /dev/rtc (bug 133636)
- renamed device-mapper to mapper/control (bug 133688)

* Wed Sep 22 2004 Harald Hoyer <harald@redhat.com> - 032-2
- removed option to turn off udev
- udevstart.static now symling to udev.static

* Tue Sep 21 2004 Harald Hoyer <harald@redhat.com> - 032-1
- version 032

* Mon Sep 20 2004 Harald Hoyer <harald@redhat.com> - 030-27
- simplified udev.conf
- refined close_on_exec patch
- added pam_console supply for symlinks, now gives correct permissions,
  for e.g. later plugged in cdroms
- renamed sr? to scd? (see devices.txt; k3b likes that :)

* Mon Sep 13 2004 Jeremy Katz <katzj@redhat.com> - 030-26
- require a 2.6 kernel
- prereq instead of requires MAKEDEV
- obsolete and provide dev
- add a trigger for the removal of /dev so that we set things up 

* Fri Sep 10 2004 Dan Walsh <dwalsh@redhat.com> - 030-25
- Use matchmediacon

* Fri Sep 10 2004 Harald Hoyer <harald@redhat.com> - 030-24
- check if SELINUX is not disabled before executing setfiles (bug 132099)

* Wed Sep  8 2004 Harald Hoyer <harald@redhat.com> - 030-23
- mount tmpfs with mode 0755 in start_udev

* Tue Sep  7 2004 Harald Hoyer <harald@redhat.com> - 030-22
- applied rules from David Zeuthen which read /proc directly without 
  shellscript

* Tue Sep  7 2004 Harald Hoyer <harald@redhat.com> - 030-21
- applied enumeration patch from David Zeuthen for cdrom symlinks (bug 131532)
- create /dev/ppp in start_udev (bug 131114)
- removed nvidia devices from start_udev
- check for restorecon presence in start_udev (bug 131904)

* Fri Sep  3 2004 Harald Hoyer <harald@redhat.com> - 030-20
- due to -x added to MAKEDEV specify the par and lp numbers

* Fri Sep  3 2004 Harald Hoyer <harald@redhat.com> - 030-19
- added udev-030-rhsec.patch (bug 130351)

* Thu Sep  2 2004 Jeremy Katz <katzj@redhat.com> - 030-18
- make the exact device in start_udev (and thus, require new MAKEDEV)

* Thu Sep  2 2004 Jeremy Katz <katzj@redhat.com> - 030-17
- make sure file contexts of everything in the tmpfs /dev are set right 
  when start_udev runs

* Thu Sep 02 2004 Harald Hoyer <harald@redhat.com> - 030-16
- moved %{_sysconfdir}/hotplug.d/default/udev.hotplug to %{_sysconfdir}/hotplug.d/default/10-udev.hotplug

* Thu Sep 02 2004 Harald Hoyer <harald@redhat.com> - 030-15
- added nvidia devices to start_udev
- added UDEV_RAMFS for backwards compat to udev.conf
- changed Group (bug 131488)
- added libselinux-devel to build requirements

* Wed Sep  1 2004 Jeremy Katz <katzj@redhat.com> - 030-14
- require MAKEDEV

* Wed Sep 1 2004 Dan Walsh <dwalsh@redhat.com> - 030-13
- Change to setfilecon if directory exists.

* Wed Sep 01 2004 Harald Hoyer <harald@redhat.com> - 030-12
- fixed start_udev

* Tue Aug 31 2004 Jeremy Katz <katzj@redhat.com> - 030-11
- use tmpfs instead of ramfs (it has xattr support now)
- change variables appropriately to TMPFS intead of RAMFS in udev.conf
- create loopN, not just loop in start_udev

* Fri Aug 27 2004 Dan Walsh <dwalsh@redhat.com> - 030-10
- Fix Patch

* Thu Aug 26 2004 Dan Walsh <dwalsh@redhat.com> - 030-9
- Cleaned up selinux patch

* Tue Aug 24 2004 Harald Hoyer <harald@redhat.com> - 030-8
- changed defaults not to remove device nodes
- added rule for net/tun
- extended start_udev to create devices, which can trigger module autoloading
- refined cloexec patch, to redirect stdin,out,err of /dev.d execed apps to /dev/null

* Mon Aug 23 2004 Harald Hoyer <harald@redhat.com> - 030-7
- removed usage of /usr/bin/seq in start_udev
- set correct permissions in start_udev
- extended the cloexec patch
- removed udev-persistent package (define with_persistent==0)
- check for /var/run/console/console.lock before calling /sbin/pam_console_setowner
- linked pam_console_setowner statically against libglib-2.0.a

* Fri Aug 20 2004 Harald Hoyer <harald@redhat.com> - 030-5
- use correct console.lock file now in pam_console_setowner

* Wed Aug 18 2004 Harald Hoyer <harald@redhat.com> - 030-4
- added the selinux patch

* Fri Jul 23 2004 Harald Hoyer <harald@redhat.com> - 030-3
- extended the cloexec patch

* Wed Jul 21 2004 Dan Walsh <dwalsh@redhat.com> - 030-2
- Close Database fd in exec processes using FD_CLOSEXEC

* Wed Jul 14 2004 Harald Hoyer <harald@redhat.com> - 030-1
- version 030

* Wed Jul 14 2004 Harald Hoyer <harald@redhat.com> - 029-4
- added udevstart.static 

* Wed Jul 14 2004 Harald Hoyer <harald@redhat.com> - 029-3
- put /etc/sysconfig/udev in /etc/udev/udev.conf and removed it
- made only udev.static static
- make our defaults the default values
- removed /udev

* Tue Jul  6 2004 Harald Hoyer <harald@redhat.com> - 029-1
- version 029, added udev_remove and udev_owner to udev.conf

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  8 2004 Harald Hoyer <harald@redhat.com> - 026-3
- fixed UDEV_REMOVE=no

* Tue Jun  8 2004 Harald Hoyer <harald@redhat.com> - 026-2
- udev-026
- preserve ownership of device nodes, which already exist
- do not remove device nodes if UDEV_REMOVE="no"
- added volume_id
- build with klibc

* Wed May 26 2004 Harald Hoyer <harald@redhat.com> - 025-1
- udev-025
- added ata_identify
- build nearly all with dietlibc

* Mon May 10 2004 Elliot Lee <sopwith@redhat.com> 024-6
- Turn off udevd by default for FC2

* Tue Apr 20 2004 Harald Hoyer <harald@redhat.com> - 024-5
- fixed permission for /dev/tty (FC2)

* Thu Apr 15 2004 Harald Hoyer <harald@redhat.com> - 024-4
- moved the 00- files to 50-, to let the use place his files in front

* Thu Apr 15 2004 Harald Hoyer <harald@redhat.com> - 024-3
- set UDEV_SELINUX to yes
- added UDEV_LOG

* Thu Apr 15 2004 Harald Hoyer <harald@redhat.com> - 024-2
- added /udev to filelist

* Wed Apr 14 2004 Harald Hoyer <harald@redhat.com> - 024-1
- update to 024
- added /etc/sysconfig/udev
- added selinux, pam_console, dbus support

* Fri Mar 26 2004 Harald Hoyer <harald@redhat.com> - 023-1
- update to 023

* Wed Mar 24 2004 Bill Nottingham <notting@redhat.com> 022-1
- update to 022

* Sun Mar 21 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- really move initscript

* Sun Feb 29 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- move chkconv to preun
- nicer url

* Wed Feb 25 2004 Harald Hoyer <harald@redhat.com> - 018-1
- changes permissions and rules

* Mon Feb 23 2004 Dan Walsh <dwalsh@redhat.com>
- Add selinux support

* Thu Feb 19 2004 Greg Kroah-Hartman <greg@kroah.com>
- add some more files to the documentation directory
- add ability to build scsi_id and make it the default

* Mon Feb 16 2004 Greg Kroah-Hartman <greg@kroah.com>
- fix up udevd build, as it's no longer needed to be build seperatly
- add udevtest to list of files
- more Red Hat sync ups.

* Thu Feb 12 2004 Greg Kroah-Hartman <greg@kroah.com>
- add some changes from the latest Fedora udev release.

* Mon Feb 2 2004 Greg Kroah-Hartman <greg@kroah.com>
- add udevsend, and udevd to the files
- add ability to build udevd with glibc after the rest is build with klibc

* Mon Jan 26 2004 Greg Kroah-Hartman <greg@kroah.com>
- added udevinfo to rpm
- added URL to spec file
- added udevinfo's man page

* Mon Jan 05 2004 Rolf Eike Beer <eike-hotplug@sf-tec.de>
- add defines to choose the init script (Redhat or LSB)

* Tue Dec 16 2003 Robert Love <rml@ximian.com>
- install the initscript and run chkconfig on it

* Tue Nov 2 2003 Greg Kroah-Hartman <greg@kroah.com>
- changes due to config file name changes

* Fri Oct 17 2003 Robert Love <rml@tech9.net>
- Make work without a build root
- Correctly install the right files
- Pass the RPM_OPT_FLAGS to gcc so we can build per the build policy
- Put some prereqs in
- Install the hotplug symlink to udev

* Mon Jul 28 2003 Paul Mundt <lethal@linux-sh.org>
- Initial spec file for udev-0.2.
